--- old/usr/src/man/man3c/Makefile	Sun Jul 27 18:01:26 2014
+++ new/usr/src/man/man3c/Makefile	Sun Jul 27 18:01:26 2014
@@ -492,8 +492,11 @@
 	 	waitpid.3c					\
 	 	walkcontext.3c					\
 	 	wcrtomb.3c					\
+		wcscasecmp.3c					\
 	 	wcscoll.3c					\
+		wcsdup.3c					\
 	 	wcsftime.3c					\
+	 	wcslen.3c					\
 	 	wcsrtombs.3c					\
 	 	wcsstr.3c					\
 	 	wcstod.3c					\
@@ -1231,6 +1234,7 @@
 	 	watol.3c				\
 	 	watoll.3c				\
 	 	wcrtomb_l.3c				\
+		wcscasecmp_l.3c				\
 	 	wcscat.3c				\
 	 	wcschr.3c				\
 	 	wcscmp.3c				\
@@ -1238,10 +1242,12 @@
 	 	wcscpy.3c				\
 	 	wcscspn.3c				\
 	 	wcsetno.3c				\
-	 	wcslen.3c				\
 	 	wcsncat.3c				\
 	 	wcsncmp.3c				\
 	 	wcsncpy.3c				\
+		wcsncasecmp.3c				\
+		wcsncasecmp_l.3c			\
+	 	wcsnlen.3c				\
 		wcsnrtombs.3c				\
 		wcsnrtombs_l.3c				\
 	 	wcspbrk.3c				\
@@ -2226,9 +2232,15 @@
 
 wcrtomb_l.3c				:= LINKSRC = wcrtomb.3c
 
+wcscasecmp_l.3c				:= LINKSRC = wcscasecmp.3c
+wcsncasecmp.3c				:= LINKSRC = wcscasecmp.3c
+wcsncasecmp_l.3c			:= LINKSRC = wcscasecmp.3c
+
 wcscoll_l.3c				:= LINKSRC = wcscoll.3c
 wscoll.3c				:= LINKSRC = wcscoll.3c
 
+wcsnlen.3c				:= LINKSRC = wcslen.3c
+
 wcsnrtombs.3c				:= LINKSRC = wcsrtombs.3c
 wcsnrtombs_l.3c				:= LINKSRC = wcsrtombs.3c
 wcsrtombs_l.3c				:= LINKSRC = wcsrtombs.3c
@@ -2253,7 +2265,6 @@
 wcscmp.3c				:= LINKSRC = wcstring.3c
 wcscpy.3c				:= LINKSRC = wcstring.3c
 wcscspn.3c				:= LINKSRC = wcstring.3c
-wcslen.3c				:= LINKSRC = wcstring.3c
 wcsncat.3c				:= LINKSRC = wcstring.3c
 wcsncmp.3c				:= LINKSRC = wcstring.3c
 wcsncpy.3c				:= LINKSRC = wcstring.3c
--- old/usr/src/man/man3c/bsd_signal.3c	Sun Jul 27 18:01:27 2014
+++ new/usr/src/man/man3c/bsd_signal.3c	Sun Jul 27 18:01:27 2014
@@ -1,4 +1,3 @@
-'\" te
 .\"  Copyright (c) 1992, X/Open Company Limited All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,98 +6,93 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH BSD_SIGNAL 3C "Jul 24, 2002"
-.SH NAME
-bsd_signal \- simplified signal facilities
-.SH SYNOPSIS
-.LP
-.nf
-#include <signal.h>
-
-\fBvoid\fR (\fB*bsd_signal(int\fR \fIsig\fR, \fBvoid\fR (*\fIfunc\fR)(\fBint\fR)))(\fBint\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBbsd_signal()\fR function provides a partially compatible interface for
-programs written to historical system interfaces (see \fBUSAGE\fR below).
-.sp
-.LP
-The function call \fBbsd_signal\fR(\fIsig\fR, \fIfunc\fR) has an effect as if
-implemented as:
-.sp
-.in +2
-.nf
+.Dd "Jul 19, 2014"
+.Dt BSD_SIGNAL 3C
+.Os
+.Sh NAME
+.Nm bsd_signal
+.Nd simplified signal facilities
+.Sh SYNOPSIS
+.In signal.h
+.Ft void
+.Fn \*(lp*bsd_signal "int sig" "void \*(lp*func\*(rp\*(lpint\*(rp\*(rp\*(rp\*(lpint"
+.\" \fBvoid\fR (\fB*bsd_signal(int\fR \fIsig\fR, \fBvoid\fR (*\fIfunc\fR)(\fBint\fR)))(\fBint\fR);
+.Sh DESCRIPTION
+The
+.Fn bsd_signal
+function provides a partially compatible interface for
+programs written to historical system interfaces (see
+.Sx USAGE
+below).
+.Lp
+The function call
+.Fn bsd_signal sig func
+has an effect as if implemented as:
+.Bd -literal -offset indent
 void (*bsd_signal(int sig, void (*func)\|(int)))\|(int)
 {
      struct sigaction act, oact;
 
-     act.sa_handler = \fIfunc\fR;
+     act.sa_handler = func;
      act.sa_flags = SA_RESTART;
      sigemptyset(&act.sa_mask);
-     sigaddset(&act.sa_mask, \fIsig\fR);
-     if (sigaction(\fIsig\fR, &act, &oact) == \(mi1)
-          return(\fBSIG_ERR\fR);
+     sigaddset(&act.sa_mask, sig);
+     if (sigaction(sig, &act, &oact) == \(mi1)
+          return(SIG_ERR);
      return(oact.sa_handler);
 }
-.fi
-.in -2
-
-.sp
-.LP
+.Ed
+.Lp
 The handler function should be declared:
-.sp
-.in +2
-.nf
-void handler(int \fIsig\fR);
-.fi
-.in -2
-
-.sp
-.LP
-where \fIsig\fR is the signal number.  The behavior is undefined if \fIfunc\fR
+.Lp
+.Dl Ft void Fn handler "int sig" ;
+.Lp
+where
+.Fa sig
+is the signal number.  The behavior is undefined if
+.Fa func
 is a function that takes more than one argument, or an argument of a different
 type.
-.SH RETURN VALUES
-.sp
-.LP
-Upon successful completion, \fBbsd_signal()\fR returns the previous action for
-\fIsig\fR. Otherwise, \fBSIG_ERR\fR is returned and \fBerrno\fR is set to
-indicate the error.
-.SH ERRORS
-.sp
-.LP
-Refer to \fBsigaction\fR(2).
-.SH USAGE
-.sp
-.LP
-This function is a direct replacement for the \fBBSD\fR \fBsignal\fR(3UCB)
+.Sh RETURN VALUES
+Upon successful completion,
+.Fn bsd_signal
+returns the previous action for
+.Fa sig .
+Otherwise,
+.Dv SIG_ERR
+is returned and
+.Va errno
+is set to indicate the error.
+.Sh ERRORS
+Refer to
+.Xr sigaction 2 .
+.Sh USAGE
+This function is a direct replacement for the
+.Bx
+.Fn signal
 function for simple applications that are installing a single-argument signal
-handler function.  If a \fBBSD\fR signal handler function is being installed
+handler function.  If a
+.Bx
+signal handler function is being installed
 that expects more than one argument, the application has to be modified to use
-\fBsigaction\fR(2). The \fBbsd_signal()\fR function differs from
-\fBsignal\fR(3UCB) in that the \fBSA_RESTART\fR flag is set and the
-\fBSA_RESETHAND\fR will be clear when \fBbsd_signal()\fR is used.  The state of
-these flags is not specified for \fBsignal\fR(3UCB).
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBsigaction\fR(2), \fBsigaddset\fR(3C), \fBsigemptyset\fR(3C),
-\fBsignal\fR(3UCB), \fBattributes\fR(5), \fBstandards\fR(5)
+.Xr sigaction 2 .
+.Lp
+Portable applications should use
+.Xr sigaction 2
+instead of this function.
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh SEE ALSO
+.Xr sigaction 2 ,
+.Xr sigaddset 3C ,
+.Xr sigemptyset 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn bsd_signal
+function was added in
+.St -xpg4.2 .
+It was subsequently obsoleted in
+.St -p1003.1-2001
+and removed from
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/bstring.3c	Sun Jul 27 18:01:29 2014
+++ new/usr/src/man/man3c/bstring.3c	Sun Jul 27 18:01:29 2014
@@ -1,75 +1,81 @@
-'\" te
+.\" Copyright 2014 Garett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 2002, Sun Microsystems, Inc. All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH BSTRING 3C "Apr 15, 2002"
-.SH NAME
-bstring, bcopy, bcmp, bzero \- memory operations
-.SH SYNOPSIS
-.LP
-.nf
-#include <strings.h>
-
-\fBvoid\fR \fBbcopy\fR(\fBconst void *\fR\fIs1\fR, \fBvoid *\fR\fIs2\fR, \fBsize_t\fR \fIn\fR);
-.fi
-
-.LP
-.nf
-\fBint\fR \fBbcmp\fR(\fBconst void *\fR\fIs1\fR, \fBconst void *\fR\fIs2\fR, \fBsize_t\fR \fIn\fR);
-.fi
-
-.LP
-.nf
-\fBvoid\fR \fBbzero\fR(\fBvoid *\fR\fIs\fR, \fBsize_t\fR \fIn\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The  \fBbcopy()\fR, \fBbcmp()\fR, and \fBbzero()\fR functions operate as
+.Dd "Jul 19, 2014"
+.Dt BSTRING 3C
+.Os
+.Sh NAME
+.Nm bstring, bcopy, bcmp, bzero
+.Nd memory operations
+.Sh SYNOPSIS
+.In strings.h
+.Ft void
+.Fn bcopy "const void *s1" "void *s2" "size_t n"
+.Ft int
+.Fn bcmp "const void *s1" "const void *s2" "size_t n"
+.Ft void
+.Fn bzero "void *s" "size_t n"
+.Sh DESCRIPTION
+The
+.Fn bcopy ,
+.Fn bcmp ,
+and
+.Fn bzero
+functions operate as
 efficiently as possible on memory areas (arrays of bytes bounded by a count,
-not terminated by a null character).  They do not check for  the  overflow  of
-any receiving memory area.  These functions are similar to the \fBmemcpy()\fR,
-\fBmemcmp()\fR, and \fBmemset()\fR functions described on the \fBmemory\fR(3C)
-manual page.
-.sp
-.LP
-The \fBbcopy()\fR function copies \fIn\fR bytes from memory area \fIs1\fR to
-\fIs2\fR. Copying between objects that overlap will take place correctly.
-.sp
-.LP
-The \fBbcmp()\fR function compares the first \fIn\fR bytes of its arguments,
-returning 0 if they are identical and 1 otherwise. The \fBbcmp()\fR function
-always returns 0 when \fIn\fR is 0.
-.sp
-.LP
-The \fBbzero()\fR function sets the first \fIn\fR bytes in memory area \fIs\fR
+not terminated by a null character).  They do not check for the overflow  of
+any receiving memory area.  These functions are similar to the
+.Xr memcpy 3C ,
+.Xr memcmp 3C ,
+and
+.Xr memset 3C
+functions.
+.Lp
+The
+.Fn bcopy
+function copies
+.Fa n
+bytes from memory area
+.Fa s1
+to
+.Fa s2 .
+Copying between objects that overlap will take place correctly.
+.Lp
+The
+.Fn bcmp
+function compares the first
+.Fa n
+bytes of its arguments, returning 0 if they are identical and 1 otherwise. The
+.Fn bcmp
+function always returns 0 when
+.Fa n
+is 0.
+.Lp
+The
+.Fn bzero
+function sets the first
+.Fa n
+bytes in memory area
+.Fn s
 to 0.
-.SH WARNINGS
-.sp
-.LP
-The \fBbcopy()\fR function takes parameters backwards from \fBmemcmp()\fR.  See
-\fBmemory\fR(3C).
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-_
-MT-Level	MT-Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBmemory\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
+.Sh WARNINGS
+The
+.Fn bcopy
+function takes parameters backwards from
+.Fn memcmp .
+See
+.Xr memory 3C
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy MT-Safe .
+.Sh SEE ALSO
+.Xr memory 3C ,
+.Xr standards 5
+.Sh STANDARDS
+These interfaces were removed in
+.St -p1003.1-2008 .  The standard memory routines documented in
+.Xr memory 3C
+should be used instead.
--- old/usr/src/man/man3c/dirfd.3c	Sun Jul 27 18:01:30 2014
+++ new/usr/src/man/man3c/dirfd.3c	Sun Jul 27 18:01:30 2014
@@ -1,77 +1,96 @@
-'\" te
+.\" Copyrigh 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2007, Sun Microsystems Inc. All Rights Reserved.
 .\" Portions of this manual page are derived from documentation obtained from linuxmanpages.com
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DIRFD 3C "Oct 24, 2007"
-.SH NAME
-dirfd \- get directory stream file descriptor
-.SH SYNOPSIS
-.LP
-.nf
-#include <dirent.h>
-
-\fBint\fR \fBdirfd\fR(\fBDIR *\fR\fIdir\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBdirfd()\fR function returns the file descriptor associated with the
-directory stream \fIdir\fR.
-.sp
-.LP
+.Dd "Jul 22, 2014"
+.Dt DIRFD 3C
+.Os
+.Sh NAME
+.Nm dirfd
+.Nd get directory stream file descriptor
+.Sh SYNOPSIS
+.In dirent.h
+.Ft int
+.Fn dirfd "DIR *dir"
+.Sh DESCRIPTION
+The
+.Fn dirfd
+function returns the file descriptor associated with the
+directory stream
+.Fa dir .
+.Lp
 This file descriptor is the one used internally by the directory stream
-operations. See \fBopendir\fR(3C), \fBclosedir\fR(3C), \fBreaddir\fR(3C),
-\fBrewinddir\fR(3C), \fBseekdir\fR(3C), \fBtelldir\fR(3C).  The file descriptor
-is automatically closed when \fBclosedir()\fR is called for the directory
-stream \fIdir\fR or when one of the \fBexec\fR functions is called.  See
-\fBexec\fR(2).
-.sp
-.LP
+operations. See
+.Xr opendir 3C ,
+.Xr closedir 3C ,
+.Xr readdir 3C ,
+.Xr rewinddir 3C ,
+.Xr seekdir 3C ,
+and
+.Xr telldir 3C .
+The file descriptor
+is automatically closed when
+.Xr closedir 3C
+is called for the directory stream
+.Fa dir
+or when one of the
+.Xr exec 2
+functions is called.
+.Lp
 The file descriptor can safely be used only by functions that do not depend on
-or alter the file position, such as \fBfstat\fR(2) and \fBfchdir\fR(2).
-Closing the file descriptor with \fBclose\fR(2) or modifying the file position
+or alter the file position, such as
+.Xr fstat 2
+and
+.Xr fchdir .
+Closing the file descriptor with
+.Xr close 2
+or modifying the file position
 by means other than the directory stream operations listed above causes
 undefined behavior to occur when one of the directory stream operations is
-subsequently called with the directory stream \fIdir\fR.
-.SH RETURN VALUES
-.sp
-.LP
-Upon successful completion, the \fBdirfd()\fR function returns an open file
-descriptor for the directory associated with the directory stream \fIdir\fR.
-.SH ERRORS
-.sp
-.LP
+subsequently called with the directory stream
+.Fa dir .
+.Sh RETURN VALUES
+Upon successful completion, the
+.Fn dirfd
+function returns an open file
+descriptor for the directory associated with the directory stream
+.Fa dir .
+.Sh ERRORS
 There are no defined error returns.  Passing an invalid directory stream as an
-argument to the \fBdirfd()\fR function results in undefined behavior.
-.SH USAGE
-.sp
-.LP
-The \fBdirfd()\fR function is intended to be used to obtain a file descriptor
-for use with the \fBfchdir()\fR function.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Committed
-_
-MT-Level	Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBclose\fR(2), \fBexec\fR(2), \fBfchdir\fR(2), \fBfstat\fR(2),
-\fBclosedir\fR(3C), \fBopendir\fR(3C), \fBreaddir\fR(3C), \fBrewinddir\fR(3C),
-\fBseekdir\fR(3C), \fBtelldir\fR(3C), \fBattributes\fR(5)
+argument to the
+.Fn dirfd
+function results in undefined behavior.
+.Sh USAGE
+The
+.Fn dirfd
+function is intended to be used to obtain a file descriptor
+for use with the
+.Xr fchdir
+function.
+.
+.Sh INTERFACE STABILITY
+.Sy Standard .
+.
+.Sh MT-LEVEL
+.Sy Safe .
+.
+.Sh SEE ALSO
+.Xr close 2 ,
+.Xr exec 2 ,
+.Xr fchdir 2 ,
+.Xr fstat 2 ,
+.Xr closedir 3C ,
+.Xr opendir 3C ,
+.Xr readdir 3C ,
+.Xr rewinddir 3C ,
+.Xr seekdir 3C ,
+.Xr telldir 3C ,
+.Xr standards 5
+.
+.Sh STANDARDS
+The
+.Fn dirfd
+function was introduced in
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/ecvt.3c	Sun Jul 27 18:01:31 2014
+++ new/usr/src/man/man3c/ecvt.3c	Sun Jul 27 18:01:31 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright 1989 AT&T.  Copyright (c) 2004, Sun Microsystems, Inc.  All Rights Reserved.  Portions Copyright (c) 1992, X/Open Company Limited,  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,113 +7,137 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH ECVT 3C "May 18, 2004"
-.SH NAME
-ecvt, fcvt, gcvt \- convert floating-point number to string
-.SH SYNOPSIS
-.LP
-.nf
-#include <stdlib.h>
-
-\fBchar *\fR\fBecvt\fR(\fBdouble\fR \fIvalue\fR, \fBint\fR \fIndigit\fR, \fBint *restrict\fR \fIdecpt\fR, \fBint *restrict\fR \fIsign\fR);
-.fi
-
-.LP
-.nf
-\fBchar *\fR\fBfcvt\fR(\fBdouble\fR \fIvalue\fR, \fBint\fR \fIndigit\fR, \fBint *restrict\fR \fIdecpt\fR, \fBint *restrict\fR \fIsign\fR);
-.fi
-
-.LP
-.nf
-\fBchar *\fR\fBgcvt\fR(\fBdouble\fR \fIvalue\fR, \fBint\fR \fIndigit\fR, \fBchar *\fR\fIbuf\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBecvt()\fR, \fBfcvt()\fR and \fBgcvt()\fR functions convert
-floating-point numbers to null-terminated strings.
-.SS "\fBecvt()\fR"
-.sp
-.LP
-The \fBecvt()\fR function converts \fIvalue\fR to a null-terminated string of
-\fIndigit\fR digits (where \fIndigit\fR is reduced to an unspecified limit
-determined by the precision of a \fBdouble\fR) and returns a pointer to the
+.Dd "Jul 19, 2014"
+.Dt ECVT 3C
+.Os
+.Sh NAME
+.Nm ecvt, fcvt, gcvt
+.Nd convert floating-point number to string
+.Sh SYNOPSIS
+.In stdlib.h
+.Ft "char *"
+.Fn ecvt "double value" "int ndigit" "int *restrict decpt" "int *restrict sign"
+.Ft "char *"
+.Fn fcvt "double value" "int ndigit" "int *restrict decpt" "int *restrict sign"
+.Ft "char *"
+.Fn gcvt "double value" "int ndigit" "char *buf"
+.Sh DESCRIPTION
+The
+.Fn ecvt ,
+.Fn fcvt ,
+and
+.Fn gcvt
+functions convert floating-point numbers to null-terminated strings.
+.Ss Fn ecvt
+The
+.Fn ecvt
+function converts
+.Fa value
+to a null-terminated string of
+.Fa ndigit
+digits (where
+.Fa ndigit
+is reduced to an unspecified limit determined by the precision of a
+.Ft double
+and returns a pointer to the
 string.  The high-order digit is non-zero, unless the value is 0.  The
 low-order digit is rounded.  The position of the radix character relative to
-the beginning of the string is stored in the integer pointed to by \fIdecpt\fR
+the beginning of the string is stored in the integer pointed to by
+.Fa decpt
 (negative means to the left of the returned digits). The radix character is not
 included in the returned string. If the sign of the result is negative, the
-integer pointed to by \fIsign\fR is non-zero, otherwise it is 0.
-.sp
-.LP
+integer pointed to by
+.Fa sign
+is non-zero, otherwise it is 0.
+.Lp
 If the converted value is out of range or is not representable, the contents of
 the returned string are unspecified.
-.SS "\fBfcvt()\fR"
-.sp
-.LP
-The \fBfcvt()\fR function is identical to \fBecvt()\fR except that \fIndigit\fR
+.Ss Fn fcvt
+The
+.Fn fcvt
+function is identical to
+.Fn ecvt
+except that
+.Fa ndigit
 specifies the number of digits desired after the radix point.  The total number
 of digits in the result string is restricted to an unspecified limit as
-determined by the precision of a \fBdouble\fR.
-.SS "\fBgcvt()\fR"
-.sp
-.LP
-The \fBgcvt()\fR function converts \fIvalue\fR to a null-terminated string
-(similar to that of the \fB%g\fR format of \fBprintf\fR(3C)) in the array
-pointed to by \fIbuf\fR and returns \fIbuf\fR. It produces \fIndigit\fR
+determined by the precision of a
+.Ft double .
+.Ss Fn gcvt
+The
+.Fn gcvt
+function converts
+.Fa value
+to a null-terminated string
+(similar to that of the
+.Em %g
+format of
+.Xr printf 3C
+in the array pointed to by
+.Fa buf
+and returns
+.Fa buf .
+It produces
+.Fa ndigit
 significant digits (limited to an unspecified value determined by the precision
-of a \fBdouble\fR) in \fB%f\fR if possible, or \fB%e\fR (scientific notation)
-otherwise.  A minus sign is included in the returned string if \fIvalue\fR is
-less than 0.  A radix character is included in the returned string if
-\fIvalue\fR is not a whole number.  Trailing zeros are suppressed where
-\fIvalue\fR is not a whole number.  The radix character is determined by the
-current locale. If \fBsetlocale\fR(3C) has not been called successfully, the
-default locale, POSIX, is used.  The default locale specifies a period
-(\fB\&.\fR) as the radix character.  The \fBLC_NUMERIC\fR category determines
-the value of the radix character within the current locale.
-.SH RETURN VALUES
-.sp
-.LP
-The \fBecvt()\fR and \fBfcvt()\fR functions return a pointer to a
-null-terminated string of digits.
-.sp
-.LP
-The \fBgcvt()\fR function returns \fIbuf\fR.
-.SH ERRORS
-.sp
-.LP
+of a
+.Ft double )
+in
+.Em %f
+if possible, or
+.Em %e
+(scientific notation)
+otherwise.  A minus sign is included in the returned string if
+.Fa value
+is less than 0.  A radix character is included in the returned string if
+.Fa value
+is not a whole number.  Trailing zeros are suppressed where
+.Fa value
+is not a whole number.  The radix character is determined by the
+.Dv LC_NUMERIC
+category of the current locale.  In the default, POSIX, locale, the period
+.Pq Em \&.
+is used for the radix character.
+default locale, POSIX, is used.
+.Sh RETURN VALUES
+The
+.Fn ecvt
+and
+.Fn fcvt
+functions return a pointer to a null-terminated string of digits.
+.Lp
+The
+.Fn gcvt
+function returns
+.Fa buf .
+.Sh ERRORS
 No errors are defined.
-.SH USAGE
-.sp
-.LP
-The return values from \fBecvt()\fR and \fBfcvt()\fR might point to
+.Sh USAGE
+The return values from
+.Fn ecvt
+and
+.Fn fcvt
+might point to
 thread-specific data that can be overwritten by subsequent calls to these
 functions by the same thread.
-.sp
-.LP
-For portability to implementations conforming to earlier versions of Solaris,
-\fBsprintf\fR(3C) is preferred over this function.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-_
-MT-Level	Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBprintf\fR(3C), \fBsetlocale\fR(3C), \fBsprintf\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+.Lp
+Portable applications should use
+.Xr sprintf 3C ,
+which is mandated by
+.St -isoC .
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy Safe .
+.Sh SEE ALSO
+.Xr printf 3C ,
+.Xr setlocale 3C
+.Xr sprintf 3C ,
+.Xr standards 5
+.Sh STANDARDS
+These functions were introduced in
+.St -xpg4.2 .
+They were obsoleted in
+.St -p1003.1-2001
+and removed from
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/ftime.3c	Sun Jul 27 18:01:32 2014
+++ new/usr/src/man/man3c/ftime.3c	Sun Jul 27 18:01:32 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 2002, Sun Microsystems, Inc. All Rights Reserved  Portions Copyright (c) 1992, X/Open Company Limited  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,84 +7,92 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH FTIME 3C "Jul 24, 2002"
-.SH NAME
-ftime \- get date and time
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/timeb.h>
-
-\fBint\fR \fBftime\fR(\fBstruct timeb *\fR\fItp\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBftime()\fR function sets the \fBtime\fR and \fBmillitm\fR members of the
-\fBtimeb\fR structure pointed to by \fItp\fR. The structure is defined in
-<\fBsys/timeb.h\fR> and contains the following members:
-.sp
-.in +2
-.nf
-time_t           time;
-unsigned short   millitm;
-short            timezone;
-short            dstflag;
-.fi
-.in -2
-
-.sp
-.LP
-The \fBtime\fR and \fBmillitm\fR members contain the seconds and milliseconds
+.Dd "Jul 19, 2014"
+.Dt FTIME 3C
+.Os
+.Sh NAME
+.Nm ftime
+.Nd get date and time
+.Sh SYNOPSIS
+.In sys/timeb.h
+.Ft int
+.Fn ftime "struct timeb *tp"
+.Sh DESCRIPTION
+The
+.Fn ftime
+function sets the
+.Fa time
+and
+.Fa millitm
+members of the
+.Ft timeb
+structure pointed to by
+.Fa tp .
+The structure is defined in
+.In sys/timeb.h
+and contains the following members:
+.Bl -column "unsigned short" "timezone" -offset indent
+.It Ft time_t Ta Fa time ;
+.It Ft unsigned short Ta Fa millitim ;
+.It Ft short Ta Fa timezone ;
+.It Ft short Ta Fa dstflag ;
+.El
+.Lp
+The
+.Fa time
+and
+.Fa millitm
+members contain the seconds and milliseconds
 portions, respectively, of the current time in seconds since 00:00:00 UTC
 (Coordinated Universal Time), January 1, 1970.
-.sp
-.LP
-The \fBtimezone\fR member contains the local time zone. The \fBdstflag\fR
-member contains a flag that, if non-zero, indicates that Daylight Saving time
+.Lp
+The
+.Fa timezone
+member contains the local time zone. The
+.Fa dstflag
+member contains a flag that, if non-zero, indicates that Daylight Saving Time
 applies locally during the appropriate part of the year.
-.sp
-.LP
-The contents of the \fBtimezone\fR and \fBdstflag\fR members of \fItp\fR after
-a call to \fBftime()\fR are unspecified.
-.SH RETURN VALUES
-.sp
-.LP
-Upon successful completion, the \fBftime()\fR function returns \fB0\fR.
-Otherwise \fB\(mi1\fR is returned.
-.SH ERRORS
-.sp
-.LP
+.Lp
+The contents of the
+.Fa timezone
+and
+.Fa dstflag
+members of
+.Fa tp
+after a call to
+.Fn ftime
+are unspecified.
+.Sh RETURN VALUES
+.Rv -std
+.Sh ERRORS
 No errors are defined.
-.SH USAGE
-.sp
-.LP
-For portability to implementations conforming to earlier versions of this
-document, \fBtime\fR(2) is preferred over this function.
-.sp
-.LP
+.Sh USAGE
+Portable applications should use either
+.Xr time 2 ,
+or, if sub-second precision is required,
+.Xr clock_gettime 3C .
+.Lp
 The millisecond value usually has a granularity greater than one due to the
 resolution of the system clock.  Depending on any granularity (particularly a
 granularity of one) renders code non-portable.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdate\fR(1), \fBtime\fR(2), \fBctime\fR(3C), \fBgettimeofday\fR(3C),
-\fBtimezone\fR(4), \fBattributes\fR(5), \fBstandards\fR(5)
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy Safe .
+.Sh SEE ALSO
+.Xr date 1 ,
+.Xr time 2 ,
+.Xr clock_gettime 3C ,
+.Xr ctime 3C ,
+.Xr gettimeofday 3C ,
+.Xr timezone 4 ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn ftime
+function was introduced in
+.St -xpg4.2 .
+It was subsequently obsoleted in
+.St -p1003.1-2001
+and removed from
+.St -p1003.1-2008 .
